Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libgnome
Version:	2.28.0
Release:	1
BuildArch:	i686
Summary:	GNOME base library.
License:	GNU/LGPL 
URL:		ftp://ftp,gnome.org
Group:		Graphical Desktop/GNOME/Base
BuildRoot:	%{_tmppath}/%{name}-buildroot

Source0:	%{name}-%{version}.tar.bz2
Patch1: 	default-background.patch
Patch3: 	libgnome-2.17.90-default-icontheme.patch
Patch4: 	libgnome-2.7.2-default-cursor.patch
Patch5: 	libgnome-2.8.0-default-browser.patch

Obsoletes:	libgnome-doc

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-vfs-devel
BuildRequires: libbonobo-devel
BuildRequires: libxml2-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: popt-devel
BuildRequires: zlib-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome package includes
non-GUI-related libraries that are needed to run GNOME. The libgnomeui
package contains X11-dependent GNOME library features.

%package	devel
Summary:	Libraries and headers for libgnome
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

Requires:	zlib-devel
Requires:	esound-devel
Requires:	ORBit2-devel
Requires:	glib-devel
Requires:	libbonobo-devel
Requires:	GConf-devel
Requires:	gnome-vfs-devel
Requires:	libxml2-devel
Requires:	libxslt-devel
Requires:	pkg-config
Requires:	ccux-artwork >= 1.0.0

%description	devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-devel package
includes the libraries and include files that you will need to
use libgnome.

You should install the libgnome-devel package if you would like to
compile GNOME applications. You do not need to install libgnome-devel
if you just want to use the GNOME desktop environment.

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_*.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then 
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_*.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then 
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_*.schemas > /dev/null || :
fi

%postun -p /sbin/ldconfig

%prep
%setup -q
#%patch1 -p1 -b .default-background
#%patch3 -p1 -b .default-icontheme
#%patch4 -p1 -b .default-cursor
#%patch5 -p1 -b .default-browser
#%patch10 -p1 -b .default-esd

%build
%configure --disable-gtk-doc --disable-static --disable-esd

make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=%{_bindir}/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.la

%define po_package libgnome-2.0
%find_lang %{po_package}

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%_bindir
%_libdir/lib*.so.*
%_libdir/bonobo
%_mandir/man7/*
%_sysconfdir/gconf/schemas/*
%_sysconfdir/sound
%_datadir/gnome-background-properties/gnome-default.xml
%_datadir/pixmaps/backgrounds/gnome/background-default.jpg

%files devel
%defattr(-,root,root)
%_libdir/*.la
%_libdir/lib*.so
%_pkgconfig
%_includedir
%_datadir/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Mon Mar 23 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Fri Oct 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1.1-1
- Version update
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Oct 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-2
- Patch updates
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Mon Mar 26 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-3
- using correct patches is better
* Mon Mar 26 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-2
- addition of default background, icon theme and mouse cursors
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-2
- rebuild, moved libexec, added missing scriplets
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-1
- Version update, moved prefix
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.1-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Mon Jan 20 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.7-1
- Initial Release
